Imports System.Data.OleDb
Imports System.Configuration.ConfigurationSettings
Imports Mediatheek.data

Public Class clsGemeenteDA

#Region "Get gemeentes"


    Public Shared Function GetGemeentes() As ArrayList
        'Hier maken we een functie getgemeentes om alle gemeentes op te roepen en te steken in een arraylist 

        Try
            '1. Select en Pars aanmaken
            Dim sSQL As String = "SELECT * FROM tblGemeente ORDER BY Gemeente"

            '3. De gegevens selecteren en naar een DataTable overbrengen
            Dim oDataTable As DataTable = clsDatabase.GetDT(sSQL)

            '4. De gegegevens van de DataTable naar 
            '   een ArrayList van student-objecten overbrengen
            Dim arlGemeentes As ArrayList = New ArrayList
            Dim oRow As DataRow
            For Each oRow In oDataTable.Rows

                Dim sGemeente, sPostCode As String

                sGemeente = Convert.ToString(oRow.Item("Gemeente"))
                sPostCode = Convert.ToString(oRow.Item("Postcode"))
               
                Dim oGemeente As New clsGemeente(sGemeente, sPostCode)
                arlGemeentes.Add(oGemeente)
            Next

            '5. De ArrayList returnen
            Return arlGemeentes

        Catch ex As Exception
            Debug.WriteLine(ex.Message)

            Throw
        End Try
    End Function

    Public Shared Function GetPostcode2(ByVal sGekozenGemeente As String) As ArrayList
        'Hier maken we een functie GetPostcode2 om een bepaalde postcode van een gemeente op te roepen en te steken in een arraylist 
        Try

            Dim sSQL2 As String = "SELECT * FROM tblGemeente WHERE Gemeente='" + sGekozenGemeente + "'"

            Dim oDataTable As DataTable = clsDatabase.GetDT(sSQL2)

            Dim arlPostcodes2 As ArrayList = New ArrayList
            Dim oRow As DataRow
            For Each oRow In oDataTable.Rows

                Dim sGemeentes, sPostcodes As String

                sGemeentes = Convert.ToString(oRow.Item("Gemeente"))
                sPostcodes = Convert.ToString(oRow.Item("Postcode"))

                Dim oGemeente2 As New clsGemeente(sGemeentes, sPostcodes)
                arlPostcodes2.Add(oGemeente2)
            Next


            Return arlPostcodes2

        Catch ex As Exception
            Debug.WriteLine(ex.Message)

            Throw
        End Try
    End Function

#End Region


End Class
